published on Sunday, Oct 11, 2026 by Descope
published on Sunday, Oct 11, 2026 by Descope
Manages a single OAuth provider in a Descope project, either the custom configuration of a built-in system provider such as Google or GitHub, or a fully custom OAuth provider. Applying this resource to an OAuth provider that was previously configured in the Descope Console takes over its configuration declaratively: console-only fields that aren’t expressible in this schema are normalized to their schema defaults on the first apply. Client secrets are write-only, so they are never read back into state, and a configured secret is preserved on the backend when the attribute is omitted from the plan. The connection endpoints of built-in system providers (such as authorizationEndpoint and tokenEndpoint) are managed by Descope and cannot be configured, so those attributes should only be set for custom providers.
Create OauthProvider Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new OauthProvider(name: string, args: OauthProviderArgs, opts?: CustomResourceOptions);@overload
def OauthProvider(resource_name: str,
args: OauthProviderArgs,
opts: Optional[ResourceOptions] = None)
@overload
def OauthProvider(resource_name: str,
opts: Optional[ResourceOptions] = None,
oauth_provider_id: Optional[str] = None,
project_id: Optional[str] = None,
jwks_endpoint: Optional[str] = None,
scopes: Optional[Sequence[str]] = None,
claim_mapping: Optional[Mapping[str, str]] = None,
client_auth_method: Optional[str] = None,
client_id: Optional[str] = None,
client_secret: Optional[str] = None,
description: Optional[str] = None,
disable_jit_updates: Optional[bool] = None,
disabled: Optional[bool] = None,
issuer: Optional[str] = None,
allowed_grant_types: Optional[Sequence[str]] = None,
logo: Optional[str] = None,
callback_domain: Optional[str] = None,
native_apple_key_generator: Optional[OauthProviderNativeAppleKeyGeneratorArgs] = None,
manage_provider_tokens: Optional[bool] = None,
native_client_id: Optional[str] = None,
native_client_secret: Optional[str] = None,
authorization_endpoint: Optional[str] = None,
apple_key_generator: Optional[OauthProviderAppleKeyGeneratorArgs] = None,
prompts: Optional[Sequence[str]] = None,
redirect_url: Optional[str] = None,
merge_user_accounts: Optional[bool] = None,
token_endpoint: Optional[str] = None,
use_client_assertion: Optional[bool] = None,
user_info_endpoint: Optional[str] = None)func NewOauthProvider(ctx *Context, name string, args OauthProviderArgs, opts ...ResourceOption) (*OauthProvider, error)public OauthProvider(string name, OauthProviderArgs args, CustomResourceOptions? opts = null)
public OauthProvider(String name, OauthProviderArgs args)
public OauthProvider(String name, OauthProviderArgs args, CustomResourceOptions options)
type: descope:OauthProvider
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "descope_oauth_provider" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args OauthProviderArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args OauthProviderArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args OauthProviderArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args OauthProviderArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args OauthProviderArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var oauthProviderResource = new Descope.OauthProvider("oauthProviderResource", new()
{
OauthProviderId = "string",
ProjectId = "string",
JwksEndpoint = "string",
Scopes = new[]
{
"string",
},
ClaimMapping =
{
{ "string", "string" },
},
ClientAuthMethod = "string",
ClientId = "string",
ClientSecret = "string",
Description = "string",
DisableJitUpdates = false,
Disabled = false,
Issuer = "string",
AllowedGrantTypes = new[]
{
"string",
},
Logo = "string",
CallbackDomain = "string",
NativeAppleKeyGenerator = new Descope.Inputs.OauthProviderNativeAppleKeyGeneratorArgs
{
KeyId = "string",
PrivateKey = "string",
TeamId = "string",
},
ManageProviderTokens = false,
NativeClientId = "string",
NativeClientSecret = "string",
AuthorizationEndpoint = "string",
AppleKeyGenerator = new Descope.Inputs.OauthProviderAppleKeyGeneratorArgs
{
KeyId = "string",
PrivateKey = "string",
TeamId = "string",
},
Prompts = new[]
{
"string",
},
RedirectUrl = "string",
MergeUserAccounts = false,
TokenEndpoint = "string",
UseClientAssertion = false,
UserInfoEndpoint = "string",
});
example, err := descope.NewOauthProvider(ctx, "oauthProviderResource", &descope.OauthProviderArgs{
OauthProviderId: pulumi.String("string"),
ProjectId: pulumi.String("string"),
JwksEndpoint: pulumi.String("string"),
Scopes: pulumi.StringArray{
pulumi.String("string"),
},
ClaimMapping: pulumi.StringMap{
"string": pulumi.String("string"),
},
ClientAuthMethod: pulumi.String("string"),
ClientId: pulumi.String("string"),
ClientSecret: pulumi.String("string"),
Description: pulumi.String("string"),
DisableJitUpdates: pulumi.Bool(false),
Disabled: pulumi.Bool(false),
Issuer: pulumi.String("string"),
AllowedGrantTypes: pulumi.StringArray{
pulumi.String("string"),
},
Logo: pulumi.String("string"),
CallbackDomain: pulumi.String("string"),
NativeAppleKeyGenerator: &descope.OauthProviderNativeAppleKeyGeneratorArgs{
KeyId: pulumi.String("string"),
PrivateKey: pulumi.String("string"),
TeamId: pulumi.String("string"),
},
ManageProviderTokens: pulumi.Bool(false),
NativeClientId: pulumi.String("string"),
NativeClientSecret: pulumi.String("string"),
AuthorizationEndpoint: pulumi.String("string"),
AppleKeyGenerator: &descope.OauthProviderAppleKeyGeneratorArgs{
KeyId: pulumi.String("string"),
PrivateKey: pulumi.String("string"),
TeamId: pulumi.String("string"),
},
Prompts: pulumi.StringArray{
pulumi.String("string"),
},
RedirectUrl: pulumi.String("string"),
MergeUserAccounts: pulumi.Bool(false),
TokenEndpoint: pulumi.String("string"),
UseClientAssertion: pulumi.Bool(false),
UserInfoEndpoint: pulumi.String("string"),
})
resource "descope_oauth_provider" "oauthProviderResource" {
lifecycle {
create_before_destroy = true
}
oauth_provider_id = "string"
project_id = "string"
jwks_endpoint = "string"
scopes = ["string"]
claim_mapping = {
"string" = "string"
}
client_auth_method = "string"
client_id = "string"
client_secret = "string"
description = "string"
disable_jit_updates = false
disabled = false
issuer = "string"
allowed_grant_types = ["string"]
logo = "string"
callback_domain = "string"
native_apple_key_generator = {
key_id = "string"
private_key = "string"
team_id = "string"
}
manage_provider_tokens = false
native_client_id = "string"
native_client_secret = "string"
authorization_endpoint = "string"
apple_key_generator = {
key_id = "string"
private_key = "string"
team_id = "string"
}
prompts = ["string"]
redirect_url = "string"
merge_user_accounts = false
token_endpoint = "string"
use_client_assertion = false
user_info_endpoint = "string"
}
var oauthProviderResource = new OauthProvider("oauthProviderResource", OauthProviderArgs.builder()
.oauthProviderId("string")
.projectId("string")
.jwksEndpoint("string")
.scopes("string")
.claimMapping(Map.of("string", "string"))
.clientAuthMethod("string")
.clientId("string")
.clientSecret("string")
.description("string")
.disableJitUpdates(false)
.disabled(false)
.issuer("string")
.allowedGrantTypes("string")
.logo("string")
.callbackDomain("string")
.nativeAppleKeyGenerator(OauthProviderNativeAppleKeyGeneratorArgs.builder()
.keyId("string")
.privateKey("string")
.teamId("string")
.build())
.manageProviderTokens(false)
.nativeClientId("string")
.nativeClientSecret("string")
.authorizationEndpoint("string")
.appleKeyGenerator(OauthProviderAppleKeyGeneratorArgs.builder()
.keyId("string")
.privateKey("string")
.teamId("string")
.build())
.prompts("string")
.redirectUrl("string")
.mergeUserAccounts(false)
.tokenEndpoint("string")
.useClientAssertion(false)
.userInfoEndpoint("string")
.build());
oauth_provider_resource = descope.OauthProvider("oauthProviderResource",
oauth_provider_id="string",
project_id="string",
jwks_endpoint="string",
scopes=["string"],
claim_mapping={
"string": "string",
},
client_auth_method="string",
client_id="string",
client_secret="string",
description="string",
disable_jit_updates=False,
disabled=False,
issuer="string",
allowed_grant_types=["string"],
logo="string",
callback_domain="string",
native_apple_key_generator={
"key_id": "string",
"private_key": "string",
"team_id": "string",
},
manage_provider_tokens=False,
native_client_id="string",
native_client_secret="string",
authorization_endpoint="string",
apple_key_generator={
"key_id": "string",
"private_key": "string",
"team_id": "string",
},
prompts=["string"],
redirect_url="string",
merge_user_accounts=False,
token_endpoint="string",
use_client_assertion=False,
user_info_endpoint="string")
const oauthProviderResource = new descope.OauthProvider("oauthProviderResource", {
oauthProviderId: "string",
projectId: "string",
jwksEndpoint: "string",
scopes: ["string"],
claimMapping: {
string: "string",
},
clientAuthMethod: "string",
clientId: "string",
clientSecret: "string",
description: "string",
disableJitUpdates: false,
disabled: false,
issuer: "string",
allowedGrantTypes: ["string"],
logo: "string",
callbackDomain: "string",
nativeAppleKeyGenerator: {
keyId: "string",
privateKey: "string",
teamId: "string",
},
manageProviderTokens: false,
nativeClientId: "string",
nativeClientSecret: "string",
authorizationEndpoint: "string",
appleKeyGenerator: {
keyId: "string",
privateKey: "string",
teamId: "string",
},
prompts: ["string"],
redirectUrl: "string",
mergeUserAccounts: false,
tokenEndpoint: "string",
useClientAssertion: false,
userInfoEndpoint: "string",
});
type: descope:OauthProvider
properties:
allowedGrantTypes:
- string
appleKeyGenerator:
keyId: string
privateKey: string
teamId: string
authorizationEndpoint: string
callbackDomain: string
claimMapping:
string: string
clientAuthMethod: string
clientId: string
clientSecret: string
description: string
disableJitUpdates: false
disabled: false
issuer: string
jwksEndpoint: string
logo: string
manageProviderTokens: false
mergeUserAccounts: false
nativeAppleKeyGenerator:
keyId: string
privateKey: string
teamId: string
nativeClientId: string
nativeClientSecret: string
oauthProviderId: string
projectId: string
prompts:
- string
redirectUrl: string
scopes:
- string
tokenEndpoint: string
useClientAssertion: false
userInfoEndpoint: string
OauthProvider Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The OauthProvider resource accepts the following input properties:
- Oauth
Provider stringId - The OAuth provider to configure. Use one of the built-in system providers (
apple,discord,facebook,github,gitlab,google,linkedin,microsoft,slack) or any other value to define a custom OAuth/OIDC provider. Changing this value will require the resource to be deleted and recreated. - Project
Id string - The ID of the project that this OAuth provider belongs to. Changing this value will require the resource to be deleted and recreated.
- Allowed
Grant List<string>Types - The type of grants (
authorizationCodeorimplicit) to allow when requesting access tokens from the OAuth provider. - Apple
Key Descope.Generator Oauth Provider Apple Key Generator - The apple key generator object describing how to create a dynamic apple client secret for applications.
- string
- The URL that users are redirected to for authorization with the OAuth provider.
- Callback
Domain string - Use a custom domain in your OAuth verification screen.
- Claim
Mapping Dictionary<string, string> - Maps OAuth provider claims to Descope user attributes.
- Client
Auth stringMethod - The token endpoint client authentication method:
clientSecretBasic(credentials in the HTTP Basic auth header) orclientSecretPost(credentials in the request body). Empty defaults toclientSecretPost. - Client
Id string - The client ID for the OAuth provider, used to identify the application to the provider.
- Client
Secret string - The client secret for the OAuth provider, used to authenticate the application with the provider.
- Description string
- A brief description of the OAuth provider.
- Disable
Jit boolUpdates - By default the user attribute mapping configuration is used to update the user's attributes automatically during sign in. Disable this if you want this to happen only during user creation.
- Disabled bool
- Setting this to
truewill disallow using this OAuth provider directly via API and SDK calls. Note that this does not affect authentication flows that are configured to use this provider. - Issuer string
- The issuer identifier for the OAuth provider.
- Jwks
Endpoint string - The URL where the application can retrieve JSON Web Key Sets (JWKS) for the OAuth provider.
- Logo string
- The URL of the logo associated with the OAuth provider.
- Manage
Provider boolTokens - Whether to enable provider token management for this OAuth provider.
- Merge
User boolAccounts - Whether to merge existing user accounts with new ones created through OAuth authentication.
- Native
Apple Descope.Key Generator Oauth Provider Native Apple Key Generator - The apple key generator object describing how to create a dynamic native apple client secret for mobile apps.
- Native
Client stringId - The client ID for the OAuth provider, used for Sign in with Apple in mobile apps.
- Native
Client stringSecret - The client secret for the OAuth provider, used for Sign in with Apple in mobile apps.
- Prompts List<string>
- Custom prompts or consent screens that users may see during OAuth authentication.
- Redirect
Url string - Users will be directed to this URL after authentication. If redirect URL is specified in the SDK/API call, it will override this value.
- Scopes List<string>
- Scopes of access that the application requests from the user's account on the OAuth provider.
- Token
Endpoint string - The URL where the application requests an access token from the OAuth provider.
- Use
Client boolAssertion - Use private key JWT (client assertion) instead of client secret.
- User
Info stringEndpoint - The URL where the application retrieves user information from the OAuth provider.
- Oauth
Provider stringId - The OAuth provider to configure. Use one of the built-in system providers (
apple,discord,facebook,github,gitlab,google,linkedin,microsoft,slack) or any other value to define a custom OAuth/OIDC provider. Changing this value will require the resource to be deleted and recreated. - Project
Id string - The ID of the project that this OAuth provider belongs to. Changing this value will require the resource to be deleted and recreated.
- Allowed
Grant []stringTypes - The type of grants (
authorizationCodeorimplicit) to allow when requesting access tokens from the OAuth provider. - Apple
Key OauthGenerator Provider Apple Key Generator Args - The apple key generator object describing how to create a dynamic apple client secret for applications.
- string
- The URL that users are redirected to for authorization with the OAuth provider.
- Callback
Domain string - Use a custom domain in your OAuth verification screen.
- Claim
Mapping map[string]string - Maps OAuth provider claims to Descope user attributes.
- Client
Auth stringMethod - The token endpoint client authentication method:
clientSecretBasic(credentials in the HTTP Basic auth header) orclientSecretPost(credentials in the request body). Empty defaults toclientSecretPost. - Client
Id string - The client ID for the OAuth provider, used to identify the application to the provider.
- Client
Secret string - The client secret for the OAuth provider, used to authenticate the application with the provider.
- Description string
- A brief description of the OAuth provider.
- Disable
Jit boolUpdates - By default the user attribute mapping configuration is used to update the user's attributes automatically during sign in. Disable this if you want this to happen only during user creation.
- Disabled bool
- Setting this to
truewill disallow using this OAuth provider directly via API and SDK calls. Note that this does not affect authentication flows that are configured to use this provider. - Issuer string
- The issuer identifier for the OAuth provider.
- Jwks
Endpoint string - The URL where the application can retrieve JSON Web Key Sets (JWKS) for the OAuth provider.
- Logo string
- The URL of the logo associated with the OAuth provider.
- Manage
Provider boolTokens - Whether to enable provider token management for this OAuth provider.
- Merge
User boolAccounts - Whether to merge existing user accounts with new ones created through OAuth authentication.
- Native
Apple OauthKey Generator Provider Native Apple Key Generator Args - The apple key generator object describing how to create a dynamic native apple client secret for mobile apps.
- Native
Client stringId - The client ID for the OAuth provider, used for Sign in with Apple in mobile apps.
- Native
Client stringSecret - The client secret for the OAuth provider, used for Sign in with Apple in mobile apps.
- Prompts []string
- Custom prompts or consent screens that users may see during OAuth authentication.
- Redirect
Url string - Users will be directed to this URL after authentication. If redirect URL is specified in the SDK/API call, it will override this value.
- Scopes []string
- Scopes of access that the application requests from the user's account on the OAuth provider.
- Token
Endpoint string - The URL where the application requests an access token from the OAuth provider.
- Use
Client boolAssertion - Use private key JWT (client assertion) instead of client secret.
- User
Info stringEndpoint - The URL where the application retrieves user information from the OAuth provider.
- oauth_
provider_ stringid - The OAuth provider to configure. Use one of the built-in system providers (
apple,discord,facebook,github,gitlab,google,linkedin,microsoft,slack) or any other value to define a custom OAuth/OIDC provider. Changing this value will require the resource to be deleted and recreated. - project_
id string - The ID of the project that this OAuth provider belongs to. Changing this value will require the resource to be deleted and recreated.
- allowed_
grant_ list(string)types - The type of grants (
authorizationCodeorimplicit) to allow when requesting access tokens from the OAuth provider. - apple_
key_ objectgenerator - The apple key generator object describing how to create a dynamic apple client secret for applications.
- string
- The URL that users are redirected to for authorization with the OAuth provider.
- callback_
domain string - Use a custom domain in your OAuth verification screen.
- claim_
mapping map(string) - Maps OAuth provider claims to Descope user attributes.
- client_
auth_ stringmethod - The token endpoint client authentication method:
clientSecretBasic(credentials in the HTTP Basic auth header) orclientSecretPost(credentials in the request body). Empty defaults toclientSecretPost. - client_
id string - The client ID for the OAuth provider, used to identify the application to the provider.
- client_
secret string - The client secret for the OAuth provider, used to authenticate the application with the provider.
- description string
- A brief description of the OAuth provider.
- disable_
jit_ boolupdates - By default the user attribute mapping configuration is used to update the user's attributes automatically during sign in. Disable this if you want this to happen only during user creation.
- disabled bool
- Setting this to
truewill disallow using this OAuth provider directly via API and SDK calls. Note that this does not affect authentication flows that are configured to use this provider. - issuer string
- The issuer identifier for the OAuth provider.
- jwks_
endpoint string - The URL where the application can retrieve JSON Web Key Sets (JWKS) for the OAuth provider.
- logo string
- The URL of the logo associated with the OAuth provider.
- manage_
provider_ booltokens - Whether to enable provider token management for this OAuth provider.
- merge_
user_ boolaccounts - Whether to merge existing user accounts with new ones created through OAuth authentication.
- native_
apple_ objectkey_ generator - The apple key generator object describing how to create a dynamic native apple client secret for mobile apps.
- native_
client_ stringid - The client ID for the OAuth provider, used for Sign in with Apple in mobile apps.
- native_
client_ stringsecret - The client secret for the OAuth provider, used for Sign in with Apple in mobile apps.
- prompts list(string)
- Custom prompts or consent screens that users may see during OAuth authentication.
- redirect_
url string - Users will be directed to this URL after authentication. If redirect URL is specified in the SDK/API call, it will override this value.
- scopes list(string)
- Scopes of access that the application requests from the user's account on the OAuth provider.
- token_
endpoint string - The URL where the application requests an access token from the OAuth provider.
- use_
client_ boolassertion - Use private key JWT (client assertion) instead of client secret.
- user_
info_ stringendpoint - The URL where the application retrieves user information from the OAuth provider.
- oauth
Provider StringId - The OAuth provider to configure. Use one of the built-in system providers (
apple,discord,facebook,github,gitlab,google,linkedin,microsoft,slack) or any other value to define a custom OAuth/OIDC provider. Changing this value will require the resource to be deleted and recreated. - project
Id String - The ID of the project that this OAuth provider belongs to. Changing this value will require the resource to be deleted and recreated.
- allowed
Grant List<String>Types - The type of grants (
authorizationCodeorimplicit) to allow when requesting access tokens from the OAuth provider. - apple
Key OauthGenerator Provider Apple Key Generator - The apple key generator object describing how to create a dynamic apple client secret for applications.
- String
- The URL that users are redirected to for authorization with the OAuth provider.
- callback
Domain String - Use a custom domain in your OAuth verification screen.
- claim
Mapping Map<String,String> - Maps OAuth provider claims to Descope user attributes.
- client
Auth StringMethod - The token endpoint client authentication method:
clientSecretBasic(credentials in the HTTP Basic auth header) orclientSecretPost(credentials in the request body). Empty defaults toclientSecretPost. - client
Id String - The client ID for the OAuth provider, used to identify the application to the provider.
- client
Secret String - The client secret for the OAuth provider, used to authenticate the application with the provider.
- description String
- A brief description of the OAuth provider.
- disable
Jit BooleanUpdates - By default the user attribute mapping configuration is used to update the user's attributes automatically during sign in. Disable this if you want this to happen only during user creation.
- disabled Boolean
- Setting this to
truewill disallow using this OAuth provider directly via API and SDK calls. Note that this does not affect authentication flows that are configured to use this provider. - issuer String
- The issuer identifier for the OAuth provider.
- jwks
Endpoint String - The URL where the application can retrieve JSON Web Key Sets (JWKS) for the OAuth provider.
- logo String
- The URL of the logo associated with the OAuth provider.
- manage
Provider BooleanTokens - Whether to enable provider token management for this OAuth provider.
- merge
User BooleanAccounts - Whether to merge existing user accounts with new ones created through OAuth authentication.
- native
Apple OauthKey Generator Provider Native Apple Key Generator - The apple key generator object describing how to create a dynamic native apple client secret for mobile apps.
- native
Client StringId - The client ID for the OAuth provider, used for Sign in with Apple in mobile apps.
- native
Client StringSecret - The client secret for the OAuth provider, used for Sign in with Apple in mobile apps.
- prompts List<String>
- Custom prompts or consent screens that users may see during OAuth authentication.
- redirect
Url String - Users will be directed to this URL after authentication. If redirect URL is specified in the SDK/API call, it will override this value.
- scopes List<String>
- Scopes of access that the application requests from the user's account on the OAuth provider.
- token
Endpoint String - The URL where the application requests an access token from the OAuth provider.
- use
Client BooleanAssertion - Use private key JWT (client assertion) instead of client secret.
- user
Info StringEndpoint - The URL where the application retrieves user information from the OAuth provider.
- oauth
Provider stringId - The OAuth provider to configure. Use one of the built-in system providers (
apple,discord,facebook,github,gitlab,google,linkedin,microsoft,slack) or any other value to define a custom OAuth/OIDC provider. Changing this value will require the resource to be deleted and recreated. - project
Id string - The ID of the project that this OAuth provider belongs to. Changing this value will require the resource to be deleted and recreated.
- allowed
Grant string[]Types - The type of grants (
authorizationCodeorimplicit) to allow when requesting access tokens from the OAuth provider. - apple
Key OauthGenerator Provider Apple Key Generator - The apple key generator object describing how to create a dynamic apple client secret for applications.
- string
- The URL that users are redirected to for authorization with the OAuth provider.
- callback
Domain string - Use a custom domain in your OAuth verification screen.
- claim
Mapping {[key: string]: string} - Maps OAuth provider claims to Descope user attributes.
- client
Auth stringMethod - The token endpoint client authentication method:
clientSecretBasic(credentials in the HTTP Basic auth header) orclientSecretPost(credentials in the request body). Empty defaults toclientSecretPost. - client
Id string - The client ID for the OAuth provider, used to identify the application to the provider.
- client
Secret string - The client secret for the OAuth provider, used to authenticate the application with the provider.
- description string
- A brief description of the OAuth provider.
- disable
Jit booleanUpdates - By default the user attribute mapping configuration is used to update the user's attributes automatically during sign in. Disable this if you want this to happen only during user creation.
- disabled boolean
- Setting this to
truewill disallow using this OAuth provider directly via API and SDK calls. Note that this does not affect authentication flows that are configured to use this provider. - issuer string
- The issuer identifier for the OAuth provider.
- jwks
Endpoint string - The URL where the application can retrieve JSON Web Key Sets (JWKS) for the OAuth provider.
- logo string
- The URL of the logo associated with the OAuth provider.
- manage
Provider booleanTokens - Whether to enable provider token management for this OAuth provider.
- merge
User booleanAccounts - Whether to merge existing user accounts with new ones created through OAuth authentication.
- native
Apple OauthKey Generator Provider Native Apple Key Generator - The apple key generator object describing how to create a dynamic native apple client secret for mobile apps.
- native
Client stringId - The client ID for the OAuth provider, used for Sign in with Apple in mobile apps.
- native
Client stringSecret - The client secret for the OAuth provider, used for Sign in with Apple in mobile apps.
- prompts string[]
- Custom prompts or consent screens that users may see during OAuth authentication.
- redirect
Url string - Users will be directed to this URL after authentication. If redirect URL is specified in the SDK/API call, it will override this value.
- scopes string[]
- Scopes of access that the application requests from the user's account on the OAuth provider.
- token
Endpoint string - The URL where the application requests an access token from the OAuth provider.
- use
Client booleanAssertion - Use private key JWT (client assertion) instead of client secret.
- user
Info stringEndpoint - The URL where the application retrieves user information from the OAuth provider.
- oauth_
provider_ strid - The OAuth provider to configure. Use one of the built-in system providers (
apple,discord,facebook,github,gitlab,google,linkedin,microsoft,slack) or any other value to define a custom OAuth/OIDC provider. Changing this value will require the resource to be deleted and recreated. - project_
id str - The ID of the project that this OAuth provider belongs to. Changing this value will require the resource to be deleted and recreated.
- allowed_
grant_ Sequence[str]types - The type of grants (
authorizationCodeorimplicit) to allow when requesting access tokens from the OAuth provider. - apple_
key_ Oauthgenerator Provider Apple Key Generator Args - The apple key generator object describing how to create a dynamic apple client secret for applications.
- str
- The URL that users are redirected to for authorization with the OAuth provider.
- callback_
domain str - Use a custom domain in your OAuth verification screen.
- claim_
mapping Mapping[str, str] - Maps OAuth provider claims to Descope user attributes.
- client_
auth_ strmethod - The token endpoint client authentication method:
clientSecretBasic(credentials in the HTTP Basic auth header) orclientSecretPost(credentials in the request body). Empty defaults toclientSecretPost. - client_
id str - The client ID for the OAuth provider, used to identify the application to the provider.
- client_
secret str - The client secret for the OAuth provider, used to authenticate the application with the provider.
- description str
- A brief description of the OAuth provider.
- disable_
jit_ boolupdates - By default the user attribute mapping configuration is used to update the user's attributes automatically during sign in. Disable this if you want this to happen only during user creation.
- disabled bool
- Setting this to
truewill disallow using this OAuth provider directly via API and SDK calls. Note that this does not affect authentication flows that are configured to use this provider. - issuer str
- The issuer identifier for the OAuth provider.
- jwks_
endpoint str - The URL where the application can retrieve JSON Web Key Sets (JWKS) for the OAuth provider.
- logo str
- The URL of the logo associated with the OAuth provider.
- manage_
provider_ booltokens - Whether to enable provider token management for this OAuth provider.
- merge_
user_ boolaccounts - Whether to merge existing user accounts with new ones created through OAuth authentication.
- native_
apple_ Oauthkey_ generator Provider Native Apple Key Generator Args - The apple key generator object describing how to create a dynamic native apple client secret for mobile apps.
- native_
client_ strid - The client ID for the OAuth provider, used for Sign in with Apple in mobile apps.
- native_
client_ strsecret - The client secret for the OAuth provider, used for Sign in with Apple in mobile apps.
- prompts Sequence[str]
- Custom prompts or consent screens that users may see during OAuth authentication.
- redirect_
url str - Users will be directed to this URL after authentication. If redirect URL is specified in the SDK/API call, it will override this value.
- scopes Sequence[str]
- Scopes of access that the application requests from the user's account on the OAuth provider.
- token_
endpoint str - The URL where the application requests an access token from the OAuth provider.
- use_
client_ boolassertion - Use private key JWT (client assertion) instead of client secret.
- user_
info_ strendpoint - The URL where the application retrieves user information from the OAuth provider.
- oauth
Provider StringId - The OAuth provider to configure. Use one of the built-in system providers (
apple,discord,facebook,github,gitlab,google,linkedin,microsoft,slack) or any other value to define a custom OAuth/OIDC provider. Changing this value will require the resource to be deleted and recreated. - project
Id String - The ID of the project that this OAuth provider belongs to. Changing this value will require the resource to be deleted and recreated.
- allowed
Grant List<String>Types - The type of grants (
authorizationCodeorimplicit) to allow when requesting access tokens from the OAuth provider. - apple
Key Property MapGenerator - The apple key generator object describing how to create a dynamic apple client secret for applications.
- String
- The URL that users are redirected to for authorization with the OAuth provider.
- callback
Domain String - Use a custom domain in your OAuth verification screen.
- claim
Mapping Map<String> - Maps OAuth provider claims to Descope user attributes.
- client
Auth StringMethod - The token endpoint client authentication method:
clientSecretBasic(credentials in the HTTP Basic auth header) orclientSecretPost(credentials in the request body). Empty defaults toclientSecretPost. - client
Id String - The client ID for the OAuth provider, used to identify the application to the provider.
- client
Secret String - The client secret for the OAuth provider, used to authenticate the application with the provider.
- description String
- A brief description of the OAuth provider.
- disable
Jit BooleanUpdates - By default the user attribute mapping configuration is used to update the user's attributes automatically during sign in. Disable this if you want this to happen only during user creation.
- disabled Boolean
- Setting this to
truewill disallow using this OAuth provider directly via API and SDK calls. Note that this does not affect authentication flows that are configured to use this provider. - issuer String
- The issuer identifier for the OAuth provider.
- jwks
Endpoint String - The URL where the application can retrieve JSON Web Key Sets (JWKS) for the OAuth provider.
- logo String
- The URL of the logo associated with the OAuth provider.
- manage
Provider BooleanTokens - Whether to enable provider token management for this OAuth provider.
- merge
User BooleanAccounts - Whether to merge existing user accounts with new ones created through OAuth authentication.
- native
Apple Property MapKey Generator - The apple key generator object describing how to create a dynamic native apple client secret for mobile apps.
- native
Client StringId - The client ID for the OAuth provider, used for Sign in with Apple in mobile apps.
- native
Client StringSecret - The client secret for the OAuth provider, used for Sign in with Apple in mobile apps.
- prompts List<String>
- Custom prompts or consent screens that users may see during OAuth authentication.
- redirect
Url String - Users will be directed to this URL after authentication. If redirect URL is specified in the SDK/API call, it will override this value.
- scopes List<String>
- Scopes of access that the application requests from the user's account on the OAuth provider.
- token
Endpoint String - The URL where the application requests an access token from the OAuth provider.
- use
Client BooleanAssertion - Use private key JWT (client assertion) instead of client secret.
- user
Info StringEndpoint - The URL where the application retrieves user information from the OAuth provider.
Outputs
All input properties are implicitly available as output properties. Additionally, the OauthProvider resource produces the following output properties:
- Id string
- The provider-assigned unique ID for this managed resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id str
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing OauthProvider Resource
Get an existing OauthProvider resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: OauthProviderState, opts?: CustomResourceOptions): OauthProvider@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
allowed_grant_types: Optional[Sequence[str]] = None,
apple_key_generator: Optional[OauthProviderAppleKeyGeneratorArgs] = None,
authorization_endpoint: Optional[str] = None,
callback_domain: Optional[str] = None,
claim_mapping: Optional[Mapping[str, str]] = None,
client_auth_method: Optional[str] = None,
client_id: Optional[str] = None,
client_secret: Optional[str] = None,
description: Optional[str] = None,
disable_jit_updates: Optional[bool] = None,
disabled: Optional[bool] = None,
issuer: Optional[str] = None,
jwks_endpoint: Optional[str] = None,
logo: Optional[str] = None,
manage_provider_tokens: Optional[bool] = None,
merge_user_accounts: Optional[bool] = None,
native_apple_key_generator: Optional[OauthProviderNativeAppleKeyGeneratorArgs] = None,
native_client_id: Optional[str] = None,
native_client_secret: Optional[str] = None,
oauth_provider_id: Optional[str] = None,
project_id: Optional[str] = None,
prompts: Optional[Sequence[str]] = None,
redirect_url: Optional[str] = None,
scopes: Optional[Sequence[str]] = None,
token_endpoint: Optional[str] = None,
use_client_assertion: Optional[bool] = None,
user_info_endpoint: Optional[str] = None) -> OauthProviderfunc GetOauthProvider(ctx *Context, name string, id IDInput, state *OauthProviderState, opts ...ResourceOption) (*OauthProvider, error)public static OauthProvider Get(string name, Input<string> id, OauthProviderState? state, CustomResourceOptions? opts = null)public static OauthProvider get(String name, Output<String> id, OauthProviderState state, CustomResourceOptions options)resources: _: type: descope:OauthProvider get: id: ${id}import {
to = descope_oauth_provider.example
id = "${id}"
}
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Allowed
Grant List<string>Types - The type of grants (
authorizationCodeorimplicit) to allow when requesting access tokens from the OAuth provider. - Apple
Key Descope.Generator Oauth Provider Apple Key Generator - The apple key generator object describing how to create a dynamic apple client secret for applications.
- string
- The URL that users are redirected to for authorization with the OAuth provider.
- Callback
Domain string - Use a custom domain in your OAuth verification screen.
- Claim
Mapping Dictionary<string, string> - Maps OAuth provider claims to Descope user attributes.
- Client
Auth stringMethod - The token endpoint client authentication method:
clientSecretBasic(credentials in the HTTP Basic auth header) orclientSecretPost(credentials in the request body). Empty defaults toclientSecretPost. - Client
Id string - The client ID for the OAuth provider, used to identify the application to the provider.
- Client
Secret string - The client secret for the OAuth provider, used to authenticate the application with the provider.
- Description string
- A brief description of the OAuth provider.
- Disable
Jit boolUpdates - By default the user attribute mapping configuration is used to update the user's attributes automatically during sign in. Disable this if you want this to happen only during user creation.
- Disabled bool
- Setting this to
truewill disallow using this OAuth provider directly via API and SDK calls. Note that this does not affect authentication flows that are configured to use this provider. - Issuer string
- The issuer identifier for the OAuth provider.
- Jwks
Endpoint string - The URL where the application can retrieve JSON Web Key Sets (JWKS) for the OAuth provider.
- Logo string
- The URL of the logo associated with the OAuth provider.
- Manage
Provider boolTokens - Whether to enable provider token management for this OAuth provider.
- Merge
User boolAccounts - Whether to merge existing user accounts with new ones created through OAuth authentication.
- Native
Apple Descope.Key Generator Oauth Provider Native Apple Key Generator - The apple key generator object describing how to create a dynamic native apple client secret for mobile apps.
- Native
Client stringId - The client ID for the OAuth provider, used for Sign in with Apple in mobile apps.
- Native
Client stringSecret - The client secret for the OAuth provider, used for Sign in with Apple in mobile apps.
- Oauth
Provider stringId - The OAuth provider to configure. Use one of the built-in system providers (
apple,discord,facebook,github,gitlab,google,linkedin,microsoft,slack) or any other value to define a custom OAuth/OIDC provider. Changing this value will require the resource to be deleted and recreated. - Project
Id string - The ID of the project that this OAuth provider belongs to. Changing this value will require the resource to be deleted and recreated.
- Prompts List<string>
- Custom prompts or consent screens that users may see during OAuth authentication.
- Redirect
Url string - Users will be directed to this URL after authentication. If redirect URL is specified in the SDK/API call, it will override this value.
- Scopes List<string>
- Scopes of access that the application requests from the user's account on the OAuth provider.
- Token
Endpoint string - The URL where the application requests an access token from the OAuth provider.
- Use
Client boolAssertion - Use private key JWT (client assertion) instead of client secret.
- User
Info stringEndpoint - The URL where the application retrieves user information from the OAuth provider.
- Allowed
Grant []stringTypes - The type of grants (
authorizationCodeorimplicit) to allow when requesting access tokens from the OAuth provider. - Apple
Key OauthGenerator Provider Apple Key Generator Args - The apple key generator object describing how to create a dynamic apple client secret for applications.
- string
- The URL that users are redirected to for authorization with the OAuth provider.
- Callback
Domain string - Use a custom domain in your OAuth verification screen.
- Claim
Mapping map[string]string - Maps OAuth provider claims to Descope user attributes.
- Client
Auth stringMethod - The token endpoint client authentication method:
clientSecretBasic(credentials in the HTTP Basic auth header) orclientSecretPost(credentials in the request body). Empty defaults toclientSecretPost. - Client
Id string - The client ID for the OAuth provider, used to identify the application to the provider.
- Client
Secret string - The client secret for the OAuth provider, used to authenticate the application with the provider.
- Description string
- A brief description of the OAuth provider.
- Disable
Jit boolUpdates - By default the user attribute mapping configuration is used to update the user's attributes automatically during sign in. Disable this if you want this to happen only during user creation.
- Disabled bool
- Setting this to
truewill disallow using this OAuth provider directly via API and SDK calls. Note that this does not affect authentication flows that are configured to use this provider. - Issuer string
- The issuer identifier for the OAuth provider.
- Jwks
Endpoint string - The URL where the application can retrieve JSON Web Key Sets (JWKS) for the OAuth provider.
- Logo string
- The URL of the logo associated with the OAuth provider.
- Manage
Provider boolTokens - Whether to enable provider token management for this OAuth provider.
- Merge
User boolAccounts - Whether to merge existing user accounts with new ones created through OAuth authentication.
- Native
Apple OauthKey Generator Provider Native Apple Key Generator Args - The apple key generator object describing how to create a dynamic native apple client secret for mobile apps.
- Native
Client stringId - The client ID for the OAuth provider, used for Sign in with Apple in mobile apps.
- Native
Client stringSecret - The client secret for the OAuth provider, used for Sign in with Apple in mobile apps.
- Oauth
Provider stringId - The OAuth provider to configure. Use one of the built-in system providers (
apple,discord,facebook,github,gitlab,google,linkedin,microsoft,slack) or any other value to define a custom OAuth/OIDC provider. Changing this value will require the resource to be deleted and recreated. - Project
Id string - The ID of the project that this OAuth provider belongs to. Changing this value will require the resource to be deleted and recreated.
- Prompts []string
- Custom prompts or consent screens that users may see during OAuth authentication.
- Redirect
Url string - Users will be directed to this URL after authentication. If redirect URL is specified in the SDK/API call, it will override this value.
- Scopes []string
- Scopes of access that the application requests from the user's account on the OAuth provider.
- Token
Endpoint string - The URL where the application requests an access token from the OAuth provider.
- Use
Client boolAssertion - Use private key JWT (client assertion) instead of client secret.
- User
Info stringEndpoint - The URL where the application retrieves user information from the OAuth provider.
- allowed_
grant_ list(string)types - The type of grants (
authorizationCodeorimplicit) to allow when requesting access tokens from the OAuth provider. - apple_
key_ objectgenerator - The apple key generator object describing how to create a dynamic apple client secret for applications.
- string
- The URL that users are redirected to for authorization with the OAuth provider.
- callback_
domain string - Use a custom domain in your OAuth verification screen.
- claim_
mapping map(string) - Maps OAuth provider claims to Descope user attributes.
- client_
auth_ stringmethod - The token endpoint client authentication method:
clientSecretBasic(credentials in the HTTP Basic auth header) orclientSecretPost(credentials in the request body). Empty defaults toclientSecretPost. - client_
id string - The client ID for the OAuth provider, used to identify the application to the provider.
- client_
secret string - The client secret for the OAuth provider, used to authenticate the application with the provider.
- description string
- A brief description of the OAuth provider.
- disable_
jit_ boolupdates - By default the user attribute mapping configuration is used to update the user's attributes automatically during sign in. Disable this if you want this to happen only during user creation.
- disabled bool
- Setting this to
truewill disallow using this OAuth provider directly via API and SDK calls. Note that this does not affect authentication flows that are configured to use this provider. - issuer string
- The issuer identifier for the OAuth provider.
- jwks_
endpoint string - The URL where the application can retrieve JSON Web Key Sets (JWKS) for the OAuth provider.
- logo string
- The URL of the logo associated with the OAuth provider.
- manage_
provider_ booltokens - Whether to enable provider token management for this OAuth provider.
- merge_
user_ boolaccounts - Whether to merge existing user accounts with new ones created through OAuth authentication.
- native_
apple_ objectkey_ generator - The apple key generator object describing how to create a dynamic native apple client secret for mobile apps.
- native_
client_ stringid - The client ID for the OAuth provider, used for Sign in with Apple in mobile apps.
- native_
client_ stringsecret - The client secret for the OAuth provider, used for Sign in with Apple in mobile apps.
- oauth_
provider_ stringid - The OAuth provider to configure. Use one of the built-in system providers (
apple,discord,facebook,github,gitlab,google,linkedin,microsoft,slack) or any other value to define a custom OAuth/OIDC provider. Changing this value will require the resource to be deleted and recreated. - project_
id string - The ID of the project that this OAuth provider belongs to. Changing this value will require the resource to be deleted and recreated.
- prompts list(string)
- Custom prompts or consent screens that users may see during OAuth authentication.
- redirect_
url string - Users will be directed to this URL after authentication. If redirect URL is specified in the SDK/API call, it will override this value.
- scopes list(string)
- Scopes of access that the application requests from the user's account on the OAuth provider.
- token_
endpoint string - The URL where the application requests an access token from the OAuth provider.
- use_
client_ boolassertion - Use private key JWT (client assertion) instead of client secret.
- user_
info_ stringendpoint - The URL where the application retrieves user information from the OAuth provider.
- allowed
Grant List<String>Types - The type of grants (
authorizationCodeorimplicit) to allow when requesting access tokens from the OAuth provider. - apple
Key OauthGenerator Provider Apple Key Generator - The apple key generator object describing how to create a dynamic apple client secret for applications.
- String
- The URL that users are redirected to for authorization with the OAuth provider.
- callback
Domain String - Use a custom domain in your OAuth verification screen.
- claim
Mapping Map<String,String> - Maps OAuth provider claims to Descope user attributes.
- client
Auth StringMethod - The token endpoint client authentication method:
clientSecretBasic(credentials in the HTTP Basic auth header) orclientSecretPost(credentials in the request body). Empty defaults toclientSecretPost. - client
Id String - The client ID for the OAuth provider, used to identify the application to the provider.
- client
Secret String - The client secret for the OAuth provider, used to authenticate the application with the provider.
- description String
- A brief description of the OAuth provider.
- disable
Jit BooleanUpdates - By default the user attribute mapping configuration is used to update the user's attributes automatically during sign in. Disable this if you want this to happen only during user creation.
- disabled Boolean
- Setting this to
truewill disallow using this OAuth provider directly via API and SDK calls. Note that this does not affect authentication flows that are configured to use this provider. - issuer String
- The issuer identifier for the OAuth provider.
- jwks
Endpoint String - The URL where the application can retrieve JSON Web Key Sets (JWKS) for the OAuth provider.
- logo String
- The URL of the logo associated with the OAuth provider.
- manage
Provider BooleanTokens - Whether to enable provider token management for this OAuth provider.
- merge
User BooleanAccounts - Whether to merge existing user accounts with new ones created through OAuth authentication.
- native
Apple OauthKey Generator Provider Native Apple Key Generator - The apple key generator object describing how to create a dynamic native apple client secret for mobile apps.
- native
Client StringId - The client ID for the OAuth provider, used for Sign in with Apple in mobile apps.
- native
Client StringSecret - The client secret for the OAuth provider, used for Sign in with Apple in mobile apps.
- oauth
Provider StringId - The OAuth provider to configure. Use one of the built-in system providers (
apple,discord,facebook,github,gitlab,google,linkedin,microsoft,slack) or any other value to define a custom OAuth/OIDC provider. Changing this value will require the resource to be deleted and recreated. - project
Id String - The ID of the project that this OAuth provider belongs to. Changing this value will require the resource to be deleted and recreated.
- prompts List<String>
- Custom prompts or consent screens that users may see during OAuth authentication.
- redirect
Url String - Users will be directed to this URL after authentication. If redirect URL is specified in the SDK/API call, it will override this value.
- scopes List<String>
- Scopes of access that the application requests from the user's account on the OAuth provider.
- token
Endpoint String - The URL where the application requests an access token from the OAuth provider.
- use
Client BooleanAssertion - Use private key JWT (client assertion) instead of client secret.
- user
Info StringEndpoint - The URL where the application retrieves user information from the OAuth provider.
- allowed
Grant string[]Types - The type of grants (
authorizationCodeorimplicit) to allow when requesting access tokens from the OAuth provider. - apple
Key OauthGenerator Provider Apple Key Generator - The apple key generator object describing how to create a dynamic apple client secret for applications.
- string
- The URL that users are redirected to for authorization with the OAuth provider.
- callback
Domain string - Use a custom domain in your OAuth verification screen.
- claim
Mapping {[key: string]: string} - Maps OAuth provider claims to Descope user attributes.
- client
Auth stringMethod - The token endpoint client authentication method:
clientSecretBasic(credentials in the HTTP Basic auth header) orclientSecretPost(credentials in the request body). Empty defaults toclientSecretPost. - client
Id string - The client ID for the OAuth provider, used to identify the application to the provider.
- client
Secret string - The client secret for the OAuth provider, used to authenticate the application with the provider.
- description string
- A brief description of the OAuth provider.
- disable
Jit booleanUpdates - By default the user attribute mapping configuration is used to update the user's attributes automatically during sign in. Disable this if you want this to happen only during user creation.
- disabled boolean
- Setting this to
truewill disallow using this OAuth provider directly via API and SDK calls. Note that this does not affect authentication flows that are configured to use this provider. - issuer string
- The issuer identifier for the OAuth provider.
- jwks
Endpoint string - The URL where the application can retrieve JSON Web Key Sets (JWKS) for the OAuth provider.
- logo string
- The URL of the logo associated with the OAuth provider.
- manage
Provider booleanTokens - Whether to enable provider token management for this OAuth provider.
- merge
User booleanAccounts - Whether to merge existing user accounts with new ones created through OAuth authentication.
- native
Apple OauthKey Generator Provider Native Apple Key Generator - The apple key generator object describing how to create a dynamic native apple client secret for mobile apps.
- native
Client stringId - The client ID for the OAuth provider, used for Sign in with Apple in mobile apps.
- native
Client stringSecret - The client secret for the OAuth provider, used for Sign in with Apple in mobile apps.
- oauth
Provider stringId - The OAuth provider to configure. Use one of the built-in system providers (
apple,discord,facebook,github,gitlab,google,linkedin,microsoft,slack) or any other value to define a custom OAuth/OIDC provider. Changing this value will require the resource to be deleted and recreated. - project
Id string - The ID of the project that this OAuth provider belongs to. Changing this value will require the resource to be deleted and recreated.
- prompts string[]
- Custom prompts or consent screens that users may see during OAuth authentication.
- redirect
Url string - Users will be directed to this URL after authentication. If redirect URL is specified in the SDK/API call, it will override this value.
- scopes string[]
- Scopes of access that the application requests from the user's account on the OAuth provider.
- token
Endpoint string - The URL where the application requests an access token from the OAuth provider.
- use
Client booleanAssertion - Use private key JWT (client assertion) instead of client secret.
- user
Info stringEndpoint - The URL where the application retrieves user information from the OAuth provider.
- allowed_
grant_ Sequence[str]types - The type of grants (
authorizationCodeorimplicit) to allow when requesting access tokens from the OAuth provider. - apple_
key_ Oauthgenerator Provider Apple Key Generator Args - The apple key generator object describing how to create a dynamic apple client secret for applications.
- str
- The URL that users are redirected to for authorization with the OAuth provider.
- callback_
domain str - Use a custom domain in your OAuth verification screen.
- claim_
mapping Mapping[str, str] - Maps OAuth provider claims to Descope user attributes.
- client_
auth_ strmethod - The token endpoint client authentication method:
clientSecretBasic(credentials in the HTTP Basic auth header) orclientSecretPost(credentials in the request body). Empty defaults toclientSecretPost. - client_
id str - The client ID for the OAuth provider, used to identify the application to the provider.
- client_
secret str - The client secret for the OAuth provider, used to authenticate the application with the provider.
- description str
- A brief description of the OAuth provider.
- disable_
jit_ boolupdates - By default the user attribute mapping configuration is used to update the user's attributes automatically during sign in. Disable this if you want this to happen only during user creation.
- disabled bool
- Setting this to
truewill disallow using this OAuth provider directly via API and SDK calls. Note that this does not affect authentication flows that are configured to use this provider. - issuer str
- The issuer identifier for the OAuth provider.
- jwks_
endpoint str - The URL where the application can retrieve JSON Web Key Sets (JWKS) for the OAuth provider.
- logo str
- The URL of the logo associated with the OAuth provider.
- manage_
provider_ booltokens - Whether to enable provider token management for this OAuth provider.
- merge_
user_ boolaccounts - Whether to merge existing user accounts with new ones created through OAuth authentication.
- native_
apple_ Oauthkey_ generator Provider Native Apple Key Generator Args - The apple key generator object describing how to create a dynamic native apple client secret for mobile apps.
- native_
client_ strid - The client ID for the OAuth provider, used for Sign in with Apple in mobile apps.
- native_
client_ strsecret - The client secret for the OAuth provider, used for Sign in with Apple in mobile apps.
- oauth_
provider_ strid - The OAuth provider to configure. Use one of the built-in system providers (
apple,discord,facebook,github,gitlab,google,linkedin,microsoft,slack) or any other value to define a custom OAuth/OIDC provider. Changing this value will require the resource to be deleted and recreated. - project_
id str - The ID of the project that this OAuth provider belongs to. Changing this value will require the resource to be deleted and recreated.
- prompts Sequence[str]
- Custom prompts or consent screens that users may see during OAuth authentication.
- redirect_
url str - Users will be directed to this URL after authentication. If redirect URL is specified in the SDK/API call, it will override this value.
- scopes Sequence[str]
- Scopes of access that the application requests from the user's account on the OAuth provider.
- token_
endpoint str - The URL where the application requests an access token from the OAuth provider.
- use_
client_ boolassertion - Use private key JWT (client assertion) instead of client secret.
- user_
info_ strendpoint - The URL where the application retrieves user information from the OAuth provider.
- allowed
Grant List<String>Types - The type of grants (
authorizationCodeorimplicit) to allow when requesting access tokens from the OAuth provider. - apple
Key Property MapGenerator - The apple key generator object describing how to create a dynamic apple client secret for applications.
- String
- The URL that users are redirected to for authorization with the OAuth provider.
- callback
Domain String - Use a custom domain in your OAuth verification screen.
- claim
Mapping Map<String> - Maps OAuth provider claims to Descope user attributes.
- client
Auth StringMethod - The token endpoint client authentication method:
clientSecretBasic(credentials in the HTTP Basic auth header) orclientSecretPost(credentials in the request body). Empty defaults toclientSecretPost. - client
Id String - The client ID for the OAuth provider, used to identify the application to the provider.
- client
Secret String - The client secret for the OAuth provider, used to authenticate the application with the provider.
- description String
- A brief description of the OAuth provider.
- disable
Jit BooleanUpdates - By default the user attribute mapping configuration is used to update the user's attributes automatically during sign in. Disable this if you want this to happen only during user creation.
- disabled Boolean
- Setting this to
truewill disallow using this OAuth provider directly via API and SDK calls. Note that this does not affect authentication flows that are configured to use this provider. - issuer String
- The issuer identifier for the OAuth provider.
- jwks
Endpoint String - The URL where the application can retrieve JSON Web Key Sets (JWKS) for the OAuth provider.
- logo String
- The URL of the logo associated with the OAuth provider.
- manage
Provider BooleanTokens - Whether to enable provider token management for this OAuth provider.
- merge
User BooleanAccounts - Whether to merge existing user accounts with new ones created through OAuth authentication.
- native
Apple Property MapKey Generator - The apple key generator object describing how to create a dynamic native apple client secret for mobile apps.
- native
Client StringId - The client ID for the OAuth provider, used for Sign in with Apple in mobile apps.
- native
Client StringSecret - The client secret for the OAuth provider, used for Sign in with Apple in mobile apps.
- oauth
Provider StringId - The OAuth provider to configure. Use one of the built-in system providers (
apple,discord,facebook,github,gitlab,google,linkedin,microsoft,slack) or any other value to define a custom OAuth/OIDC provider. Changing this value will require the resource to be deleted and recreated. - project
Id String - The ID of the project that this OAuth provider belongs to. Changing this value will require the resource to be deleted and recreated.
- prompts List<String>
- Custom prompts or consent screens that users may see during OAuth authentication.
- redirect
Url String - Users will be directed to this URL after authentication. If redirect URL is specified in the SDK/API call, it will override this value.
- scopes List<String>
- Scopes of access that the application requests from the user's account on the OAuth provider.
- token
Endpoint String - The URL where the application requests an access token from the OAuth provider.
- use
Client BooleanAssertion - Use private key JWT (client assertion) instead of client secret.
- user
Info StringEndpoint - The URL where the application retrieves user information from the OAuth provider.
Supporting Types
OauthProviderAppleKeyGenerator, OauthProviderAppleKeyGeneratorArgs
- Key
Id string - The apple generator key id produced by Apple.
- Private
Key string - The apple generator private key produced by Apple.
- Team
Id string - The apple generator team id assigned to the key by Apple.
- Key
Id string - The apple generator key id produced by Apple.
- Private
Key string - The apple generator private key produced by Apple.
- Team
Id string - The apple generator team id assigned to the key by Apple.
- key_
id string - The apple generator key id produced by Apple.
- private_
key string - The apple generator private key produced by Apple.
- team_
id string - The apple generator team id assigned to the key by Apple.
- key
Id String - The apple generator key id produced by Apple.
- private
Key String - The apple generator private key produced by Apple.
- team
Id String - The apple generator team id assigned to the key by Apple.
- key
Id string - The apple generator key id produced by Apple.
- private
Key string - The apple generator private key produced by Apple.
- team
Id string - The apple generator team id assigned to the key by Apple.
- key_
id str - The apple generator key id produced by Apple.
- private_
key str - The apple generator private key produced by Apple.
- team_
id str - The apple generator team id assigned to the key by Apple.
- key
Id String - The apple generator key id produced by Apple.
- private
Key String - The apple generator private key produced by Apple.
- team
Id String - The apple generator team id assigned to the key by Apple.
OauthProviderNativeAppleKeyGenerator, OauthProviderNativeAppleKeyGeneratorArgs
- Key
Id string - The apple generator key id produced by Apple.
- Private
Key string - The apple generator private key produced by Apple.
- Team
Id string - The apple generator team id assigned to the key by Apple.
- Key
Id string - The apple generator key id produced by Apple.
- Private
Key string - The apple generator private key produced by Apple.
- Team
Id string - The apple generator team id assigned to the key by Apple.
- key_
id string - The apple generator key id produced by Apple.
- private_
key string - The apple generator private key produced by Apple.
- team_
id string - The apple generator team id assigned to the key by Apple.
- key
Id String - The apple generator key id produced by Apple.
- private
Key String - The apple generator private key produced by Apple.
- team
Id String - The apple generator team id assigned to the key by Apple.
- key
Id string - The apple generator key id produced by Apple.
- private
Key string - The apple generator private key produced by Apple.
- team
Id string - The apple generator team id assigned to the key by Apple.
- key_
id str - The apple generator key id produced by Apple.
- private_
key str - The apple generator private key produced by Apple.
- team_
id str - The apple generator team id assigned to the key by Apple.
- key
Id String - The apple generator key id produced by Apple.
- private
Key String - The apple generator private key produced by Apple.
- team
Id String - The apple generator team id assigned to the key by Apple.
Package Details
- Repository
- descope descope/pulumi-descope
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
descopeTerraform Provider.
published on Sunday, Oct 11, 2026 by Descope